/*
	=====================
	hylide User Interface
	Spalten
	20.11.2023
	V1.01.04
	---------------------
	Copyright YGG
	www.ygg.de
	=====================
*/



/* ----- Allgemein -----*/
[class*="hui_col_layout_"] { 
	--col_offset: 50rem;
	 padding-bottom: calc(var(--col_offset) * var(--col_depth));
}
[class*="hui_col_layout_"] > * {
	display: flex;
	flex-wrap: wrap;
	position: relative;
	top: calc(var(--col_level) * var(--col_offset));
}
[class*="hui_col_layout_"].hui_col_layout_flip > * {
	top: calc(((var(--col_level) - var(--col_depth)) * -1) * var(--col_offset));
}
[class*="hui_col_layout_"].hui_col1 {
	padding-bottom: 0rem;
}
[class*="hui_col_layout_"].hui_col1 > * {
	margin-bottom: 0rem;
	padding-top: 0rem;
}

/* ----- Stufen -----*/
.hui_col_layout_stairs.hui_col2 { --col_depth: 1; }
.hui_col_layout_stairs.hui_col2 > *:nth-child(2n - 1) { --col_level: 0; }
.hui_col_layout_stairs.hui_col2 > *:nth-child(2n - 0) { --col_level: 1; }
.hui_col_layout_stairs.hui_col3 { --col_depth: 2; }
.hui_col_layout_stairs.hui_col3 > *:nth-child(3n - 2) { --col_level: 0; }
.hui_col_layout_stairs.hui_col3 > *:nth-child(3n - 1) { --col_level: 1; }
.hui_col_layout_stairs.hui_col3 > *:nth-child(3n - 0) { --col_level: 2; }
.hui_col_layout_stairs.hui_col4 { --col_depth: 3; }
.hui_col_layout_stairs.hui_col4 > *:nth-child(4n - 3) { --col_level: 0; }
.hui_col_layout_stairs.hui_col4 > *:nth-child(4n - 2) { --col_level: 1; }
.hui_col_layout_stairs.hui_col4 > *:nth-child(4n - 1) { --col_level: 2; }
.hui_col_layout_stairs.hui_col4 > *:nth-child(4n - 0) { --col_level: 3; }
.hui_col_layout_stairs.hui_col5 { --col_depth: 4; }
.hui_col_layout_stairs.hui_col5 > *:nth-child(5n - 4) { --col_level: 0; }
.hui_col_layout_stairs.hui_col5 > *:nth-child(5n - 3) { --col_level: 1; }
.hui_col_layout_stairs.hui_col5 > *:nth-child(5n - 2) { --col_level: 2; }
.hui_col_layout_stairs.hui_col5 > *:nth-child(5n - 1) { --col_level: 3; }
.hui_col_layout_stairs.hui_col5 > *:nth-child(5n - 0) { --col_level: 4; }
.hui_col_layout_stairs.hui_col6 { --col_depth: 5; }
.hui_col_layout_stairs.hui_col6 > *:nth-child(6n - 5) { --col_level: 0; }
.hui_col_layout_stairs.hui_col6 > *:nth-child(6n - 4) { --col_level: 1; }
.hui_col_layout_stairs.hui_col6 > *:nth-child(6n - 3) { --col_level: 2; }
.hui_col_layout_stairs.hui_col6 > *:nth-child(6n - 2) { --col_level: 3; }
.hui_col_layout_stairs.hui_col6 > *:nth-child(6n - 1) { --col_level: 4; }
.hui_col_layout_stairs.hui_col6 > *:nth-child(6n - 0) { --col_level: 5; }
.hui_col_layout_stairs.hui_col7 { --col_depth: 6; }
.hui_col_layout_stairs.hui_col7 > *:nth-child(7n - 6) { --col_level: 0; }
.hui_col_layout_stairs.hui_col7 > *:nth-child(7n - 5) { --col_level: 1; }
.hui_col_layout_stairs.hui_col7 > *:nth-child(7n - 4) { --col_level: 2; }
.hui_col_layout_stairs.hui_col7 > *:nth-child(7n - 3) { --col_level: 3; }
.hui_col_layout_stairs.hui_col7 > *:nth-child(7n - 2) { --col_level: 4; }
.hui_col_layout_stairs.hui_col7 > *:nth-child(7n - 1) { --col_level: 5; }
.hui_col_layout_stairs.hui_col7 > *:nth-child(7n - 0) { --col_level: 6; }
.hui_col_layout_stairs.hui_col8 { --col_depth: 7; }
.hui_col_layout_stairs.hui_col8 > *:nth-child(8n - 7) { --col_level: 0; }
.hui_col_layout_stairs.hui_col8 > *:nth-child(8n - 6) { --col_level: 1; }
.hui_col_layout_stairs.hui_col8 > *:nth-child(8n - 5) { --col_level: 2; }
.hui_col_layout_stairs.hui_col8 > *:nth-child(8n - 4) { --col_level: 3; }
.hui_col_layout_stairs.hui_col8 > *:nth-child(8n - 3) { --col_level: 4; }
.hui_col_layout_stairs.hui_col8 > *:nth-child(8n - 2) { --col_level: 5; }
.hui_col_layout_stairs.hui_col8 > *:nth-child(8n - 1) { --col_level: 6; }
.hui_col_layout_stairs.hui_col8 > *:nth-child(8n - 0) { --col_level: 7; }
/* ----- Wellen -----*/
.hui_col_layout_wave { --col_depth: 1; }
.hui_col_layout_wave > *:nth-child(2n - 1) { --col_level: 0; }
.hui_col_layout_wave > *:nth-child(2n - 0) { --col_level: 1; }
.hui_col_layout_wave.hui_col3 > *:nth-child(3n - 2) { --col_level: 0; }
.hui_col_layout_wave.hui_col3 > *:nth-child(3n - 1) { --col_level: 1; }
.hui_col_layout_wave.hui_col3 > *:nth-child(3n - 0) { --col_level: 0; }
.hui_col_layout_wave.hui_col5 > *:nth-child(5n - 4) { --col_level: 0; }
.hui_col_layout_wave.hui_col5 > *:nth-child(5n - 3) { --col_level: 1; }
.hui_col_layout_wave.hui_col5 > *:nth-child(5n - 2) { --col_level: 0; }
.hui_col_layout_wave.hui_col5 > *:nth-child(5n - 1) { --col_level: 1; }
.hui_col_layout_wave.hui_col5 > *:nth-child(5n - 0) { --col_level: 0; }
.hui_col_layout_wave.hui_col7 > *:nth-child(7n - 6) { --col_level: 0; }
.hui_col_layout_wave.hui_col7 > *:nth-child(7n - 5) { --col_level: 1; }
.hui_col_layout_wave.hui_col7 > *:nth-child(7n - 4) { --col_level: 0; }
.hui_col_layout_wave.hui_col7 > *:nth-child(7n - 3) { --col_level: 1; }
.hui_col_layout_wave.hui_col7 > *:nth-child(7n - 2) { --col_level: 0; }
.hui_col_layout_wave.hui_col7 > *:nth-child(7n - 1) { --col_level: 1; }
.hui_col_layout_wave.hui_col7 > *:nth-child(7n - 0) { --col_level: 0; }
/* ----- Spitze -----*/
.hui_col_layout_spike.hui_col2 { --col_depth: 1; }
.hui_col_layout_spike.hui_col2 > *:nth-child(2n - 1) { --col_level: 0; }
.hui_col_layout_spike.hui_col2 > *:nth-child(2n - 0) { --col_level: 1; }
.hui_col_layout_spike.hui_col3 { --col_depth: 1; }
.hui_col_layout_spike.hui_col3 > *:nth-child(3n - 2) { --col_level: 0; }
.hui_col_layout_spike.hui_col3 > *:nth-child(3n - 1) { --col_level: 1; }
.hui_col_layout_spike.hui_col3 > *:nth-child(3n - 0) { --col_level: 0; }
.hui_col_layout_spike.hui_col4 { --col_depth: 2; }
.hui_col_layout_spike.hui_col4 > *:nth-child(4n - 3) { --col_level: 0; }
.hui_col_layout_spike.hui_col4 > *:nth-child(4n - 2) { --col_level: 1; }
.hui_col_layout_spike.hui_col4 > *:nth-child(4n - 1) { --col_level: 2; }
.hui_col_layout_spike.hui_col4 > *:nth-child(4n - 0) { --col_level: 1; }
.hui_col_layout_spike.hui_col5 { --col_depth: 2; }
.hui_col_layout_spike.hui_col5 > *:nth-child(5n - 4) { --col_level: 0; }
.hui_col_layout_spike.hui_col5 > *:nth-child(5n - 3) { --col_level: 1; }
.hui_col_layout_spike.hui_col5 > *:nth-child(5n - 2) { --col_level: 2; }
.hui_col_layout_spike.hui_col5 > *:nth-child(5n - 1) { --col_level: 1; }
.hui_col_layout_spike.hui_col5 > *:nth-child(5n - 0) { --col_level: 0; }
.hui_col_layout_spike.hui_col6 { --col_depth: 3; }
.hui_col_layout_spike.hui_col6 > *:nth-child(6n - 5) { --col_level: 0; }
.hui_col_layout_spike.hui_col6 > *:nth-child(6n - 4) { --col_level: 1; }
.hui_col_layout_spike.hui_col6 > *:nth-child(6n - 3) { --col_level: 2; }
.hui_col_layout_spike.hui_col6 > *:nth-child(6n - 2) { --col_level: 3; }
.hui_col_layout_spike.hui_col6 > *:nth-child(6n - 1) { --col_level: 2; }
.hui_col_layout_spike.hui_col6 > *:nth-child(6n - 0) { --col_level: 1; }
.hui_col_layout_spike.hui_col7 { --col_depth: 3; }
.hui_col_layout_spike.hui_col7 > *:nth-child(7n - 6) { --col_level: 0; }
.hui_col_layout_spike.hui_col7 > *:nth-child(7n - 5) { --col_level: 1; }
.hui_col_layout_spike.hui_col7 > *:nth-child(7n - 4) { --col_level: 2; }
.hui_col_layout_spike.hui_col7 > *:nth-child(7n - 3) { --col_level: 3; }
.hui_col_layout_spike.hui_col7 > *:nth-child(7n - 2) { --col_level: 2; }
.hui_col_layout_spike.hui_col7 > *:nth-child(7n - 1) { --col_level: 1; }
.hui_col_layout_spike.hui_col7 > *:nth-child(7n - 0) { --col_level: 0; }
.hui_col_layout_spike.hui_col8 { --col_depth: 4; }
.hui_col_layout_spike.hui_col8 > *:nth-child(8n - 7) { --col_level: 0; }
.hui_col_layout_spike.hui_col8 > *:nth-child(8n - 6) { --col_level: 1; }
.hui_col_layout_spike.hui_col8 > *:nth-child(8n - 5) { --col_level: 2; }
.hui_col_layout_spike.hui_col8 > *:nth-child(8n - 4) { --col_level: 3; }
.hui_col_layout_spike.hui_col8 > *:nth-child(8n - 3) { --col_level: 4; }
.hui_col_layout_spike.hui_col8 > *:nth-child(8n - 2) { --col_level: 3; }
.hui_col_layout_spike.hui_col8 > *:nth-child(8n - 1) { --col_level: 2; }
.hui_col_layout_spike.hui_col8 > *:nth-child(8n - 0) { --col_level: 1; }

/* Spalten - Richtung - Responsive (xl,l,m,s) */
@media screen and (max-width: 1400px) {
	/* ----- Stufen -----*/
	.hui_col_layout_stairs.hui_col1_xl { --col_depth: 0; }
	.hui_col_layout_stairs.hui_col1_xl > *:nth-child(1n) { --col_level: 0; }
	.hui_col_layout_stairs.hui_col2_xl { --col_depth: 1; }
	.hui_col_layout_stairs.hui_col2_xl > *:nth-child(2n - 1) { --col_level: 0; }
	.hui_col_layout_stairs.hui_col2_xl > *:nth-child(2n - 0) { --col_level: 1; }
	.hui_col_layout_stairs.hui_col3_xl { --col_depth: 2; }
	.hui_col_layout_stairs.hui_col3_xl > *:nth-child(3n - 2) { --col_level: 0; }
	.hui_col_layout_stairs.hui_col3_xl > *:nth-child(3n - 1) { --col_level: 1; }
	.hui_col_layout_stairs.hui_col3_xl > *:nth-child(3n - 0) { --col_level: 2; }
	.hui_col_layout_stairs.hui_col4_xl { --col_depth: 3; }
	.hui_col_layout_stairs.hui_col4_xl > *:nth-child(4n - 3) { --col_level: 0; }
	.hui_col_layout_stairs.hui_col4_xl > *:nth-child(4n - 2) { --col_level: 1; }
	.hui_col_layout_stairs.hui_col4_xl > *:nth-child(4n - 1) { --col_level: 2; }
	.hui_col_layout_stairs.hui_col4_xl > *:nth-child(4n - 0) { --col_level: 3; }
	.hui_col_layout_stairs.hui_col5_xl { --col_depth: 4; }
	.hui_col_layout_stairs.hui_col5_xl > *:nth-child(5n - 4) { --col_level: 0; }
	.hui_col_layout_stairs.hui_col5_xl > *:nth-child(5n - 3) { --col_level: 1; }
	.hui_col_layout_stairs.hui_col5_xl > *:nth-child(5n - 2) { --col_level: 2; }
	.hui_col_layout_stairs.hui_col5_xl > *:nth-child(5n - 1) { --col_level: 3; }
	.hui_col_layout_stairs.hui_col5_xl > *:nth-child(5n - 0) { --col_level: 4; }
	.hui_col_layout_stairs.hui_col6_xl { --col_depth: 5; }
	.hui_col_layout_stairs.hui_col6_xl > *:nth-child(6n - 5) { --col_level: 0; }
	.hui_col_layout_stairs.hui_col6_xl > *:nth-child(6n - 4) { --col_level: 1; }
	.hui_col_layout_stairs.hui_col6_xl > *:nth-child(6n - 3) { --col_level: 2; }
	.hui_col_layout_stairs.hui_col6_xl > *:nth-child(6n - 2) { --col_level: 3; }
	.hui_col_layout_stairs.hui_col6_xl > *:nth-child(6n - 1) { --col_level: 4; }
	.hui_col_layout_stairs.hui_col6_xl > *:nth-child(6n - 0) { --col_level: 5; }
	.hui_col_layout_stairs.hui_col7_xl { --col_depth: 6; }
	.hui_col_layout_stairs.hui_col7_xl > *:nth-child(7n - 6) { --col_level: 0; }
	.hui_col_layout_stairs.hui_col7_xl > *:nth-child(7n - 5) { --col_level: 1; }
	.hui_col_layout_stairs.hui_col7_xl > *:nth-child(7n - 4) { --col_level: 2; }
	.hui_col_layout_stairs.hui_col7_xl > *:nth-child(7n - 3) { --col_level: 3; }
	.hui_col_layout_stairs.hui_col7_xl > *:nth-child(7n - 2) { --col_level: 4; }
	.hui_col_layout_stairs.hui_col7_xl > *:nth-child(7n - 1) { --col_level: 5; }
	.hui_col_layout_stairs.hui_col7_xl > *:nth-child(7n - 0) { --col_level: 6; }
	.hui_col_layout_stairs.hui_col8_xl { --col_depth: 7; }
	.hui_col_layout_stairs.hui_col8_xl > *:nth-child(8n - 7) { --col_level: 0; }
	.hui_col_layout_stairs.hui_col8_xl > *:nth-child(8n - 6) { --col_level: 1; }
	.hui_col_layout_stairs.hui_col8_xl > *:nth-child(8n - 5) { --col_level: 2; }
	.hui_col_layout_stairs.hui_col8_xl > *:nth-child(8n - 4) { --col_level: 3; }
	.hui_col_layout_stairs.hui_col8_xl > *:nth-child(8n - 3) { --col_level: 4; }
	.hui_col_layout_stairs.hui_col8_xl > *:nth-child(8n - 2) { --col_level: 5; }
	.hui_col_layout_stairs.hui_col8_xl > *:nth-child(8n - 1) { --col_level: 6; }
	.hui_col_layout_stairs.hui_col8_xl > *:nth-child(8n - 0) { --col_level: 7; }
	/* ----- Wellen -----*/
	.hui_col_layout_wave.hui_col1_xl { --col_depth: 0; }
	.hui_col_layout_wave.hui_col1_xl > *:nth-child(1n - 2) { --col_level: 0; }
	.hui_col_layout_wave.hui_col2_xl,
	.hui_col_layout_wave.hui_col3_xl,
	.hui_col_layout_wave.hui_col4_xl,
	.hui_col_layout_wave.hui_col5_xl,
	.hui_col_layout_wave.hui_col6_xl,
	.hui_col_layout_wave.hui_col7_xl,
	.hui_col_layout_wave.hui_col8_xl { --col_depth: 1; }
	.hui_col_layout_wave.hui_col2_xl > *:nth-child(2n - 1),
	.hui_col_layout_wave.hui_col4_xl > *:nth-child(2n - 1),
	.hui_col_layout_wave.hui_col6_xl > *:nth-child(2n - 1),
	.hui_col_layout_wave.hui_col8_xl > *:nth-child(2n - 1) { --col_level: 0; }
	.hui_col_layout_wave.hui_col2_xl > *:nth-child(2n - 0),
	.hui_col_layout_wave.hui_col4_xl > *:nth-child(2n - 0),
	.hui_col_layout_wave.hui_col6_xl > *:nth-child(2n - 0),
	.hui_col_layout_wave.hui_col8_xl > *:nth-child(2n - 0) { --col_level: 1; }
	.hui_col_layout_wave.hui_col3_xl > *:nth-child(3n - 2) { --col_level: 0; }
	.hui_col_layout_wave.hui_col3_xl > *:nth-child(3n - 1) { --col_level: 1; }
	.hui_col_layout_wave.hui_col3_xl > *:nth-child(3n - 0) { --col_level: 0; }
	.hui_col_layout_wave.hui_col5_xl > *:nth-child(5n - 4) { --col_level: 0; }
	.hui_col_layout_wave.hui_col5_xl > *:nth-child(5n - 3) { --col_level: 1; }
	.hui_col_layout_wave.hui_col5_xl > *:nth-child(5n - 2) { --col_level: 0; }
	.hui_col_layout_wave.hui_col5_xl > *:nth-child(5n - 1) { --col_level: 1; }
	.hui_col_layout_wave.hui_col5_xl > *:nth-child(5n - 0) { --col_level: 0; }
	.hui_col_layout_wave.hui_col7_xl > *:nth-child(7n - 6) { --col_level: 0; }
	.hui_col_layout_wave.hui_col7_xl > *:nth-child(7n - 5) { --col_level: 1; }
	.hui_col_layout_wave.hui_col7_xl > *:nth-child(7n - 4) { --col_level: 0; }
	.hui_col_layout_wave.hui_col7_xl > *:nth-child(7n - 3) { --col_level: 1; }
	.hui_col_layout_wave.hui_col7_xl > *:nth-child(7n - 2) { --col_level: 0; }
	.hui_col_layout_wave.hui_col7_xl > *:nth-child(7n - 1) { --col_level: 1; }
	.hui_col_layout_wave.hui_col7_xl > *:nth-child(7n - 0) { --col_level: 0; }
	/* ----- Spitze -----*/
	.hui_col_layout_spike.hui_col1_xl { --col_depth: 0; }
	.hui_col_layout_spike.hui_col1_xl > *:nth-child(1n) { --col_level: 0; }
	.hui_col_layout_spike.hui_col2_xl { --col_depth: 1; }
	.hui_col_layout_spike.hui_col2_xl > *:nth-child(2n - 1) { --col_level: 0; }
	.hui_col_layout_spike.hui_col2_xl > *:nth-child(2n - 0) { --col_level: 1; }
	.hui_col_layout_spike.hui_col3_xl { --col_depth: 1; }
	.hui_col_layout_spike.hui_col3_xl > *:nth-child(3n - 2) { --col_level: 0; }
	.hui_col_layout_spike.hui_col3_xl > *:nth-child(3n - 1) { --col_level: 1; }
	.hui_col_layout_spike.hui_col3_xl > *:nth-child(3n - 0) { --col_level: 0; }
	.hui_col_layout_spike.hui_col4_xl { --col_depth: 2; }
	.hui_col_layout_spike.hui_col4_xl > *:nth-child(4n - 3) { --col_level: 0; }
	.hui_col_layout_spike.hui_col4_xl > *:nth-child(4n - 2) { --col_level: 1; }
	.hui_col_layout_spike.hui_col4_xl > *:nth-child(4n - 1) { --col_level: 2; }
	.hui_col_layout_spike.hui_col4_xl > *:nth-child(4n - 0) { --col_level: 1; }
	.hui_col_layout_spike.hui_col5_xl { --col_depth: 2; }
	.hui_col_layout_spike.hui_col5_xl > *:nth-child(5n - 4) { --col_level: 0; }
	.hui_col_layout_spike.hui_col5_xl > *:nth-child(5n - 3) { --col_level: 1; }
	.hui_col_layout_spike.hui_col5_xl > *:nth-child(5n - 2) { --col_level: 2; }
	.hui_col_layout_spike.hui_col5_xl > *:nth-child(5n - 1) { --col_level: 1; }
	.hui_col_layout_spike.hui_col5_xl > *:nth-child(5n - 0) { --col_level: 0; }
	.hui_col_layout_spike.hui_col6_xl { --col_depth: 3; }
	.hui_col_layout_spike.hui_col6_xl > *:nth-child(6n - 5) { --col_level: 0; }
	.hui_col_layout_spike.hui_col6_xl > *:nth-child(6n - 4) { --col_level: 1; }
	.hui_col_layout_spike.hui_col6_xl > *:nth-child(6n - 3) { --col_level: 2; }
	.hui_col_layout_spike.hui_col6_xl > *:nth-child(6n - 2) { --col_level: 3; }
	.hui_col_layout_spike.hui_col6_xl > *:nth-child(6n - 1) { --col_level: 2; }
	.hui_col_layout_spike.hui_col6_xl > *:nth-child(6n - 0) { --col_level: 1; }
	.hui_col_layout_spike.hui_col7_xl { --col_depth: 3; }
	.hui_col_layout_spike.hui_col7_xl > *:nth-child(7n - 6) { --col_level: 0; }
	.hui_col_layout_spike.hui_col7_xl > *:nth-child(7n - 5) { --col_level: 1; }
	.hui_col_layout_spike.hui_col7_xl > *:nth-child(7n - 4) { --col_level: 2; }
	.hui_col_layout_spike.hui_col7_xl > *:nth-child(7n - 3) { --col_level: 3; }
	.hui_col_layout_spike.hui_col7_xl > *:nth-child(7n - 2) { --col_level: 2; }
	.hui_col_layout_spike.hui_col7_xl > *:nth-child(7n - 1) { --col_level: 1; }
	.hui_col_layout_spike.hui_col7_xl > *:nth-child(7n - 0) { --col_level: 0; }
	.hui_col_layout_spike.hui_col8_xl { --col_depth: 4; }
	.hui_col_layout_spike.hui_col8_xl > *:nth-child(8n - 7) { --col_level: 0; }
	.hui_col_layout_spike.hui_col8_xl > *:nth-child(8n - 6) { --col_level: 1; }
	.hui_col_layout_spike.hui_col8_xl > *:nth-child(8n - 5) { --col_level: 2; }
	.hui_col_layout_spike.hui_col8_xl > *:nth-child(8n - 4) { --col_level: 3; }
	.hui_col_layout_spike.hui_col8_xl > *:nth-child(8n - 3) { --col_level: 4; }
	.hui_col_layout_spike.hui_col8_xl > *:nth-child(8n - 2) { --col_level: 3; }
	.hui_col_layout_spike.hui_col8_xl > *:nth-child(8n - 1) { --col_level: 2; }
	.hui_col_layout_spike.hui_col8_xl > *:nth-child(8n - 0) { --col_level: 1; }
}
@media screen and (max-width: 1000px) {
	/* ----- Stufen -----*/
	.hui_col_layout_stairs.hui_col1_l { --col_depth: 0; }
	.hui_col_layout_stairs.hui_col1_l > *:nth-child(1n) { --col_level: 0; }
	.hui_col_layout_stairs.hui_col2_l { --col_depth: 1; }
	.hui_col_layout_stairs.hui_col2_l > *:nth-child(2n - 1) { --col_level: 0; }
	.hui_col_layout_stairs.hui_col2_l > *:nth-child(2n - 0) { --col_level: 1; }
	.hui_col_layout_stairs.hui_col3_l { --col_depth: 2; }
	.hui_col_layout_stairs.hui_col3_l > *:nth-child(3n - 2) { --col_level: 0; }
	.hui_col_layout_stairs.hui_col3_l > *:nth-child(3n - 1) { --col_level: 1; }
	.hui_col_layout_stairs.hui_col3_l > *:nth-child(3n - 0) { --col_level: 2; }
	.hui_col_layout_stairs.hui_col4_l { --col_depth: 3; }
	.hui_col_layout_stairs.hui_col4_l > *:nth-child(4n - 3) { --col_level: 0; }
	.hui_col_layout_stairs.hui_col4_l > *:nth-child(4n - 2) { --col_level: 1; }
	.hui_col_layout_stairs.hui_col4_l > *:nth-child(4n - 1) { --col_level: 2; }
	.hui_col_layout_stairs.hui_col4_l > *:nth-child(4n - 0) { --col_level: 3; }
	.hui_col_layout_stairs.hui_col5_l { --col_depth: 4; }
	.hui_col_layout_stairs.hui_col5_l > *:nth-child(5n - 4) { --col_level: 0; }
	.hui_col_layout_stairs.hui_col5_l > *:nth-child(5n - 3) { --col_level: 1; }
	.hui_col_layout_stairs.hui_col5_l > *:nth-child(5n - 2) { --col_level: 2; }
	.hui_col_layout_stairs.hui_col5_l > *:nth-child(5n - 1) { --col_level: 3; }
	.hui_col_layout_stairs.hui_col5_l > *:nth-child(5n - 0) { --col_level: 4; }
	.hui_col_layout_stairs.hui_col6_l { --col_depth: 5; }
	.hui_col_layout_stairs.hui_col6_l > *:nth-child(6n - 5) { --col_level: 0; }
	.hui_col_layout_stairs.hui_col6_l > *:nth-child(6n - 4) { --col_level: 1; }
	.hui_col_layout_stairs.hui_col6_l > *:nth-child(6n - 3) { --col_level: 2; }
	.hui_col_layout_stairs.hui_col6_l > *:nth-child(6n - 2) { --col_level: 3; }
	.hui_col_layout_stairs.hui_col6_l > *:nth-child(6n - 1) { --col_level: 4; }
	.hui_col_layout_stairs.hui_col6_l > *:nth-child(6n - 0) { --col_level: 5; }
	.hui_col_layout_stairs.hui_col7_l { --col_depth: 6; }
	.hui_col_layout_stairs.hui_col7_l > *:nth-child(7n - 6) { --col_level: 0; }
	.hui_col_layout_stairs.hui_col7_l > *:nth-child(7n - 5) { --col_level: 1; }
	.hui_col_layout_stairs.hui_col7_l > *:nth-child(7n - 4) { --col_level: 2; }
	.hui_col_layout_stairs.hui_col7_l > *:nth-child(7n - 3) { --col_level: 3; }
	.hui_col_layout_stairs.hui_col7_l > *:nth-child(7n - 2) { --col_level: 4; }
	.hui_col_layout_stairs.hui_col7_l > *:nth-child(7n - 1) { --col_level: 5; }
	.hui_col_layout_stairs.hui_col7_l > *:nth-child(7n - 0) { --col_level: 6; }
	.hui_col_layout_stairs.hui_col8_l { --col_depth: 7; }
	.hui_col_layout_stairs.hui_col8_l > *:nth-child(8n - 7) { --col_level: 0; }
	.hui_col_layout_stairs.hui_col8_l > *:nth-child(8n - 6) { --col_level: 1; }
	.hui_col_layout_stairs.hui_col8_l > *:nth-child(8n - 5) { --col_level: 2; }
	.hui_col_layout_stairs.hui_col8_l > *:nth-child(8n - 4) { --col_level: 3; }
	.hui_col_layout_stairs.hui_col8_l > *:nth-child(8n - 3) { --col_level: 4; }
	.hui_col_layout_stairs.hui_col8_l > *:nth-child(8n - 2) { --col_level: 5; }
	.hui_col_layout_stairs.hui_col8_l > *:nth-child(8n - 1) { --col_level: 6; }
	.hui_col_layout_stairs.hui_col8_l > *:nth-child(8n - 0) { --col_level: 7; }
	/* ----- Wellen -----*/
	.hui_col_layout_wave.hui_col1_l { --col_depth: 0; }
	.hui_col_layout_wave.hui_col1_l > *:nth-child(1n - 2) { --col_level: 0; }
	.hui_col_layout_wave.hui_col2_l,
	.hui_col_layout_wave.hui_col3_l,
	.hui_col_layout_wave.hui_col4_l,
	.hui_col_layout_wave.hui_col5_l,
	.hui_col_layout_wave.hui_col6_l,
	.hui_col_layout_wave.hui_col7_l,
	.hui_col_layout_wave.hui_col8_l { --col_depth: 1; }
	.hui_col_layout_wave.hui_col2_l > *:nth-child(2n - 1),
	.hui_col_layout_wave.hui_col4_l > *:nth-child(2n - 1),
	.hui_col_layout_wave.hui_col6_l > *:nth-child(2n - 1),
	.hui_col_layout_wave.hui_col8_l > *:nth-child(2n - 1) { --col_level: 0; }
	.hui_col_layout_wave.hui_col2_l > *:nth-child(2n - 0),
	.hui_col_layout_wave.hui_col4_l > *:nth-child(2n - 0),
	.hui_col_layout_wave.hui_col6_l > *:nth-child(2n - 0),
	.hui_col_layout_wave.hui_col8_l > *:nth-child(2n - 0) { --col_level: 1; }
	.hui_col_layout_wave.hui_col3_l > *:nth-child(3n - 2) { --col_level: 0; }
	.hui_col_layout_wave.hui_col3_l > *:nth-child(3n - 1) { --col_level: 1; }
	.hui_col_layout_wave.hui_col3_l > *:nth-child(3n - 0) { --col_level: 0; }
	.hui_col_layout_wave.hui_col5_l > *:nth-child(5n - 4) { --col_level: 0; }
	.hui_col_layout_wave.hui_col5_l > *:nth-child(5n - 3) { --col_level: 1; }
	.hui_col_layout_wave.hui_col5_l > *:nth-child(5n - 2) { --col_level: 0; }
	.hui_col_layout_wave.hui_col5_l > *:nth-child(5n - 1) { --col_level: 1; }
	.hui_col_layout_wave.hui_col5_l > *:nth-child(5n - 0) { --col_level: 0; }
	.hui_col_layout_wave.hui_col7_l > *:nth-child(7n - 6) { --col_level: 0; }
	.hui_col_layout_wave.hui_col7_l > *:nth-child(7n - 5) { --col_level: 1; }
	.hui_col_layout_wave.hui_col7_l > *:nth-child(7n - 4) { --col_level: 0; }
	.hui_col_layout_wave.hui_col7_l > *:nth-child(7n - 3) { --col_level: 1; }
	.hui_col_layout_wave.hui_col7_l > *:nth-child(7n - 2) { --col_level: 0; }
	.hui_col_layout_wave.hui_col7_l > *:nth-child(7n - 1) { --col_level: 1; }
	.hui_col_layout_wave.hui_col7_l > *:nth-child(7n - 0) { --col_level: 0; }
	/* ----- Spitze -----*/
	.hui_col_layout_spike.hui_col1_l { --col_depth: 0; }
	.hui_col_layout_spike.hui_col1_l > *:nth-child(1n) { --col_level: 0; }
	.hui_col_layout_spike.hui_col2_l { --col_depth: 1; }
	.hui_col_layout_spike.hui_col2_l > *:nth-child(2n - 1) { --col_level: 0; }
	.hui_col_layout_spike.hui_col2_l > *:nth-child(2n - 0) { --col_level: 1; }
	.hui_col_layout_spike.hui_col3_l { --col_depth: 1; }
	.hui_col_layout_spike.hui_col3_l > *:nth-child(3n - 2) { --col_level: 0; }
	.hui_col_layout_spike.hui_col3_l > *:nth-child(3n - 1) { --col_level: 1; }
	.hui_col_layout_spike.hui_col3_l > *:nth-child(3n - 0) { --col_level: 0; }
	.hui_col_layout_spike.hui_col4_l { --col_depth: 2; }
	.hui_col_layout_spike.hui_col4_l > *:nth-child(4n - 3) { --col_level: 0; }
	.hui_col_layout_spike.hui_col4_l > *:nth-child(4n - 2) { --col_level: 1; }
	.hui_col_layout_spike.hui_col4_l > *:nth-child(4n - 1) { --col_level: 2; }
	.hui_col_layout_spike.hui_col4_l > *:nth-child(4n - 0) { --col_level: 1; }
	.hui_col_layout_spike.hui_col5_l { --col_depth: 2; }
	.hui_col_layout_spike.hui_col5_l > *:nth-child(5n - 4) { --col_level: 0; }
	.hui_col_layout_spike.hui_col5_l > *:nth-child(5n - 3) { --col_level: 1; }
	.hui_col_layout_spike.hui_col5_l > *:nth-child(5n - 2) { --col_level: 2; }
	.hui_col_layout_spike.hui_col5_l > *:nth-child(5n - 1) { --col_level: 1; }
	.hui_col_layout_spike.hui_col5_l > *:nth-child(5n - 0) { --col_level: 0; }
	.hui_col_layout_spike.hui_col6_l { --col_depth: 3; }
	.hui_col_layout_spike.hui_col6_l > *:nth-child(6n - 5) { --col_level: 0; }
	.hui_col_layout_spike.hui_col6_l > *:nth-child(6n - 4) { --col_level: 1; }
	.hui_col_layout_spike.hui_col6_l > *:nth-child(6n - 3) { --col_level: 2; }
	.hui_col_layout_spike.hui_col6_l > *:nth-child(6n - 2) { --col_level: 3; }
	.hui_col_layout_spike.hui_col6_l > *:nth-child(6n - 1) { --col_level: 2; }
	.hui_col_layout_spike.hui_col6_l > *:nth-child(6n - 0) { --col_level: 1; }
	.hui_col_layout_spike.hui_col7_l { --col_depth: 3; }
	.hui_col_layout_spike.hui_col7_l > *:nth-child(7n - 6) { --col_level: 0; }
	.hui_col_layout_spike.hui_col7_l > *:nth-child(7n - 5) { --col_level: 1; }
	.hui_col_layout_spike.hui_col7_l > *:nth-child(7n - 4) { --col_level: 2; }
	.hui_col_layout_spike.hui_col7_l > *:nth-child(7n - 3) { --col_level: 3; }
	.hui_col_layout_spike.hui_col7_l > *:nth-child(7n - 2) { --col_level: 2; }
	.hui_col_layout_spike.hui_col7_l > *:nth-child(7n - 1) { --col_level: 1; }
	.hui_col_layout_spike.hui_col7_l > *:nth-child(7n - 0) { --col_level: 0; }
	.hui_col_layout_spike.hui_col8_l { --col_depth: 4; }
	.hui_col_layout_spike.hui_col8_l > *:nth-child(8n - 7) { --col_level: 0; }
	.hui_col_layout_spike.hui_col8_l > *:nth-child(8n - 6) { --col_level: 1; }
	.hui_col_layout_spike.hui_col8_l > *:nth-child(8n - 5) { --col_level: 2; }
	.hui_col_layout_spike.hui_col8_l > *:nth-child(8n - 4) { --col_level: 3; }
	.hui_col_layout_spike.hui_col8_l > *:nth-child(8n - 3) { --col_level: 4; }
	.hui_col_layout_spike.hui_col8_l > *:nth-child(8n - 2) { --col_level: 3; }
	.hui_col_layout_spike.hui_col8_l > *:nth-child(8n - 1) { --col_level: 2; }
	.hui_col_layout_spike.hui_col8_l > *:nth-child(8n - 0) { --col_level: 1; }
}
@media screen and (max-width: 750px) {
	/* ----- Stufen -----*/
	.hui_col_layout_stairs.hui_col1_m { --col_depth: 0; }
	.hui_col_layout_stairs.hui_col1_m > *:nth-child(1n) { --col_level: 0; }
	.hui_col_layout_stairs.hui_col2_m { --col_depth: 1; }
	.hui_col_layout_stairs.hui_col2_m > *:nth-child(2n - 1) { --col_level: 0; }
	.hui_col_layout_stairs.hui_col2_m > *:nth-child(2n - 0) { --col_level: 1; }
	.hui_col_layout_stairs.hui_col3_m { --col_depth: 2; }
	.hui_col_layout_stairs.hui_col3_m > *:nth-child(3n - 2) { --col_level: 0; }
	.hui_col_layout_stairs.hui_col3_m > *:nth-child(3n - 1) { --col_level: 1; }
	.hui_col_layout_stairs.hui_col3_m > *:nth-child(3n - 0) { --col_level: 2; }
	.hui_col_layout_stairs.hui_col4_m { --col_depth: 3; }
	.hui_col_layout_stairs.hui_col4_m > *:nth-child(4n - 3) { --col_level: 0; }
	.hui_col_layout_stairs.hui_col4_m > *:nth-child(4n - 2) { --col_level: 1; }
	.hui_col_layout_stairs.hui_col4_m > *:nth-child(4n - 1) { --col_level: 2; }
	.hui_col_layout_stairs.hui_col4_m > *:nth-child(4n - 0) { --col_level: 3; }
	.hui_col_layout_stairs.hui_col5_m { --col_depth: 4; }
	.hui_col_layout_stairs.hui_col5_m > *:nth-child(5n - 4) { --col_level: 0; }
	.hui_col_layout_stairs.hui_col5_m > *:nth-child(5n - 3) { --col_level: 1; }
	.hui_col_layout_stairs.hui_col5_m > *:nth-child(5n - 2) { --col_level: 2; }
	.hui_col_layout_stairs.hui_col5_m > *:nth-child(5n - 1) { --col_level: 3; }
	.hui_col_layout_stairs.hui_col5_m > *:nth-child(5n - 0) { --col_level: 4; }
	.hui_col_layout_stairs.hui_col6_m { --col_depth: 5; }
	.hui_col_layout_stairs.hui_col6_m > *:nth-child(6n - 5) { --col_level: 0; }
	.hui_col_layout_stairs.hui_col6_m > *:nth-child(6n - 4) { --col_level: 1; }
	.hui_col_layout_stairs.hui_col6_m > *:nth-child(6n - 3) { --col_level: 2; }
	.hui_col_layout_stairs.hui_col6_m > *:nth-child(6n - 2) { --col_level: 3; }
	.hui_col_layout_stairs.hui_col6_m > *:nth-child(6n - 1) { --col_level: 4; }
	.hui_col_layout_stairs.hui_col6_m > *:nth-child(6n - 0) { --col_level: 5; }
	.hui_col_layout_stairs.hui_col7_m { --col_depth: 6; }
	.hui_col_layout_stairs.hui_col7_m > *:nth-child(7n - 6) { --col_level: 0; }
	.hui_col_layout_stairs.hui_col7_m > *:nth-child(7n - 5) { --col_level: 1; }
	.hui_col_layout_stairs.hui_col7_m > *:nth-child(7n - 4) { --col_level: 2; }
	.hui_col_layout_stairs.hui_col7_m > *:nth-child(7n - 3) { --col_level: 3; }
	.hui_col_layout_stairs.hui_col7_m > *:nth-child(7n - 2) { --col_level: 4; }
	.hui_col_layout_stairs.hui_col7_m > *:nth-child(7n - 1) { --col_level: 5; }
	.hui_col_layout_stairs.hui_col7_m > *:nth-child(7n - 0) { --col_level: 6; }
	.hui_col_layout_stairs.hui_col8_m { --col_depth: 7; }
	.hui_col_layout_stairs.hui_col8_m > *:nth-child(8n - 7) { --col_level: 0; }
	.hui_col_layout_stairs.hui_col8_m > *:nth-child(8n - 6) { --col_level: 1; }
	.hui_col_layout_stairs.hui_col8_m > *:nth-child(8n - 5) { --col_level: 2; }
	.hui_col_layout_stairs.hui_col8_m > *:nth-child(8n - 4) { --col_level: 3; }
	.hui_col_layout_stairs.hui_col8_m > *:nth-child(8n - 3) { --col_level: 4; }
	.hui_col_layout_stairs.hui_col8_m > *:nth-child(8n - 2) { --col_level: 5; }
	.hui_col_layout_stairs.hui_col8_m > *:nth-child(8n - 1) { --col_level: 6; }
	.hui_col_layout_stairs.hui_col8_m > *:nth-child(8n - 0) { --col_level: 7; }
	/* ----- Wellen -----*/
	.hui_col_layout_wave.hui_col1_m { --col_depth: 0; }
	.hui_col_layout_wave.hui_col1_m > *:nth-child(1n - 2) { --col_level: 0; }
	.hui_col_layout_wave.hui_col2_m,
	.hui_col_layout_wave.hui_col3_m,
	.hui_col_layout_wave.hui_col4_m,
	.hui_col_layout_wave.hui_col5_m,
	.hui_col_layout_wave.hui_col6_m,
	.hui_col_layout_wave.hui_col7_m,
	.hui_col_layout_wave.hui_col8_m { --col_depth: 1; }
	.hui_col_layout_wave.hui_col2_m > *:nth-child(2n - 1),
	.hui_col_layout_wave.hui_col4_m > *:nth-child(2n - 1),
	.hui_col_layout_wave.hui_col6_m > *:nth-child(2n - 1),
	.hui_col_layout_wave.hui_col8_m > *:nth-child(2n - 1) { --col_level: 0; }
	.hui_col_layout_wave.hui_col2_m > *:nth-child(2n - 0),
	.hui_col_layout_wave.hui_col4_m > *:nth-child(2n - 0),
	.hui_col_layout_wave.hui_col6_m > *:nth-child(2n - 0),
	.hui_col_layout_wave.hui_col8_m > *:nth-child(2n - 0) { --col_level: 1; }
	.hui_col_layout_wave.hui_col3_m > *:nth-child(3n - 2) { --col_level: 0; }
	.hui_col_layout_wave.hui_col3_m > *:nth-child(3n - 1) { --col_level: 1; }
	.hui_col_layout_wave.hui_col3_m > *:nth-child(3n - 0) { --col_level: 0; }
	.hui_col_layout_wave.hui_col5_m > *:nth-child(5n - 4) { --col_level: 0; }
	.hui_col_layout_wave.hui_col5_m > *:nth-child(5n - 3) { --col_level: 1; }
	.hui_col_layout_wave.hui_col5_m > *:nth-child(5n - 2) { --col_level: 0; }
	.hui_col_layout_wave.hui_col5_m > *:nth-child(5n - 1) { --col_level: 1; }
	.hui_col_layout_wave.hui_col5_m > *:nth-child(5n - 0) { --col_level: 0; }
	.hui_col_layout_wave.hui_col7_m > *:nth-child(7n - 6) { --col_level: 0; }
	.hui_col_layout_wave.hui_col7_m > *:nth-child(7n - 5) { --col_level: 1; }
	.hui_col_layout_wave.hui_col7_m > *:nth-child(7n - 4) { --col_level: 0; }
	.hui_col_layout_wave.hui_col7_m > *:nth-child(7n - 3) { --col_level: 1; }
	.hui_col_layout_wave.hui_col7_m > *:nth-child(7n - 2) { --col_level: 0; }
	.hui_col_layout_wave.hui_col7_m > *:nth-child(7n - 1) { --col_level: 1; }
	.hui_col_layout_wave.hui_col7_m > *:nth-child(7n - 0) { --col_level: 0; }
	/* ----- Spitze -----*/
	.hui_col_layout_spike.hui_col1_m { --col_depth: 0; }
	.hui_col_layout_spike.hui_col1_m > *:nth-child(1n) { --col_level: 0; }
	.hui_col_layout_spike.hui_col2_m { --col_depth: 1; }
	.hui_col_layout_spike.hui_col2_m > *:nth-child(2n - 1) { --col_level: 0; }
	.hui_col_layout_spike.hui_col2_m > *:nth-child(2n - 0) { --col_level: 1; }
	.hui_col_layout_spike.hui_col3_m { --col_depth: 1; }
	.hui_col_layout_spike.hui_col3_m > *:nth-child(3n - 2) { --col_level: 0; }
	.hui_col_layout_spike.hui_col3_m > *:nth-child(3n - 1) { --col_level: 1; }
	.hui_col_layout_spike.hui_col3_m > *:nth-child(3n - 0) { --col_level: 0; }
	.hui_col_layout_spike.hui_col4_m { --col_depth: 2; }
	.hui_col_layout_spike.hui_col4_m > *:nth-child(4n - 3) { --col_level: 0; }
	.hui_col_layout_spike.hui_col4_m > *:nth-child(4n - 2) { --col_level: 1; }
	.hui_col_layout_spike.hui_col4_m > *:nth-child(4n - 1) { --col_level: 2; }
	.hui_col_layout_spike.hui_col4_m > *:nth-child(4n - 0) { --col_level: 1; }
	.hui_col_layout_spike.hui_col5_m { --col_depth: 2; }
	.hui_col_layout_spike.hui_col5_m > *:nth-child(5n - 4) { --col_level: 0; }
	.hui_col_layout_spike.hui_col5_m > *:nth-child(5n - 3) { --col_level: 1; }
	.hui_col_layout_spike.hui_col5_m > *:nth-child(5n - 2) { --col_level: 2; }
	.hui_col_layout_spike.hui_col5_m > *:nth-child(5n - 1) { --col_level: 1; }
	.hui_col_layout_spike.hui_col5_m > *:nth-child(5n - 0) { --col_level: 0; }
	.hui_col_layout_spike.hui_col6_m { --col_depth: 3; }
	.hui_col_layout_spike.hui_col6_m > *:nth-child(6n - 5) { --col_level: 0; }
	.hui_col_layout_spike.hui_col6_m > *:nth-child(6n - 4) { --col_level: 1; }
	.hui_col_layout_spike.hui_col6_m > *:nth-child(6n - 3) { --col_level: 2; }
	.hui_col_layout_spike.hui_col6_m > *:nth-child(6n - 2) { --col_level: 3; }
	.hui_col_layout_spike.hui_col6_m > *:nth-child(6n - 1) { --col_level: 2; }
	.hui_col_layout_spike.hui_col6_m > *:nth-child(6n - 0) { --col_level: 1; }
	.hui_col_layout_spike.hui_col7_m { --col_depth: 3; }
	.hui_col_layout_spike.hui_col7_m > *:nth-child(7n - 6) { --col_level: 0; }
	.hui_col_layout_spike.hui_col7_m > *:nth-child(7n - 5) { --col_level: 1; }
	.hui_col_layout_spike.hui_col7_m > *:nth-child(7n - 4) { --col_level: 2; }
	.hui_col_layout_spike.hui_col7_m > *:nth-child(7n - 3) { --col_level: 3; }
	.hui_col_layout_spike.hui_col7_m > *:nth-child(7n - 2) { --col_level: 2; }
	.hui_col_layout_spike.hui_col7_m > *:nth-child(7n - 1) { --col_level: 1; }
	.hui_col_layout_spike.hui_col7_m > *:nth-child(7n - 0) { --col_level: 0; }
	.hui_col_layout_spike.hui_col8_m { --col_depth: 4; }
	.hui_col_layout_spike.hui_col8_m > *:nth-child(8n - 7) { --col_level: 0; }
	.hui_col_layout_spike.hui_col8_m > *:nth-child(8n - 6) { --col_level: 1; }
	.hui_col_layout_spike.hui_col8_m > *:nth-child(8n - 5) { --col_level: 2; }
	.hui_col_layout_spike.hui_col8_m > *:nth-child(8n - 4) { --col_level: 3; }
	.hui_col_layout_spike.hui_col8_m > *:nth-child(8n - 3) { --col_level: 4; }
	.hui_col_layout_spike.hui_col8_m > *:nth-child(8n - 2) { --col_level: 3; }
	.hui_col_layout_spike.hui_col8_m > *:nth-child(8n - 1) { --col_level: 2; }
	.hui_col_layout_spike.hui_col8_m > *:nth-child(8n - 0) { --col_level: 1; }
}
@media screen and (max-width: 500px) {
	/* ----- Stufen -----*/
	.hui_col_layout_stairs.hui_col1_s { --col_depth: 0; }
	.hui_col_layout_stairs.hui_col1_s > *:nth-child(1n) { --col_level: 0; }
	.hui_col_layout_stairs.hui_col2_s { --col_depth: 1; }
	.hui_col_layout_stairs.hui_col2_s > *:nth-child(2n - 1) { --col_level: 0; }
	.hui_col_layout_stairs.hui_col2_s > *:nth-child(2n - 0) { --col_level: 1; }
	.hui_col_layout_stairs.hui_col3_s { --col_depth: 2; }
	.hui_col_layout_stairs.hui_col3_s > *:nth-child(3n - 2) { --col_level: 0; }
	.hui_col_layout_stairs.hui_col3_s > *:nth-child(3n - 1) { --col_level: 1; }
	.hui_col_layout_stairs.hui_col3_s > *:nth-child(3n - 0) { --col_level: 2; }
	.hui_col_layout_stairs.hui_col4_s { --col_depth: 3; }
	.hui_col_layout_stairs.hui_col4_s > *:nth-child(4n - 3) { --col_level: 0; }
	.hui_col_layout_stairs.hui_col4_s > *:nth-child(4n - 2) { --col_level: 1; }
	.hui_col_layout_stairs.hui_col4_s > *:nth-child(4n - 1) { --col_level: 2; }
	.hui_col_layout_stairs.hui_col4_s > *:nth-child(4n - 0) { --col_level: 3; }
	.hui_col_layout_stairs.hui_col5_s { --col_depth: 4; }
	.hui_col_layout_stairs.hui_col5_s > *:nth-child(5n - 4) { --col_level: 0; }
	.hui_col_layout_stairs.hui_col5_s > *:nth-child(5n - 3) { --col_level: 1; }
	.hui_col_layout_stairs.hui_col5_s > *:nth-child(5n - 2) { --col_level: 2; }
	.hui_col_layout_stairs.hui_col5_s > *:nth-child(5n - 1) { --col_level: 3; }
	.hui_col_layout_stairs.hui_col5_s > *:nth-child(5n - 0) { --col_level: 4; }
	.hui_col_layout_stairs.hui_col6_s { --col_depth: 5; }
	.hui_col_layout_stairs.hui_col6_s > *:nth-child(6n - 5) { --col_level: 0; }
	.hui_col_layout_stairs.hui_col6_s > *:nth-child(6n - 4) { --col_level: 1; }
	.hui_col_layout_stairs.hui_col6_s > *:nth-child(6n - 3) { --col_level: 2; }
	.hui_col_layout_stairs.hui_col6_s > *:nth-child(6n - 2) { --col_level: 3; }
	.hui_col_layout_stairs.hui_col6_s > *:nth-child(6n - 1) { --col_level: 4; }
	.hui_col_layout_stairs.hui_col6_s > *:nth-child(6n - 0) { --col_level: 5; }
	.hui_col_layout_stairs.hui_col7_s { --col_depth: 6; }
	.hui_col_layout_stairs.hui_col7_s > *:nth-child(7n - 6) { --col_level: 0; }
	.hui_col_layout_stairs.hui_col7_s > *:nth-child(7n - 5) { --col_level: 1; }
	.hui_col_layout_stairs.hui_col7_s > *:nth-child(7n - 4) { --col_level: 2; }
	.hui_col_layout_stairs.hui_col7_s > *:nth-child(7n - 3) { --col_level: 3; }
	.hui_col_layout_stairs.hui_col7_s > *:nth-child(7n - 2) { --col_level: 4; }
	.hui_col_layout_stairs.hui_col7_s > *:nth-child(7n - 1) { --col_level: 5; }
	.hui_col_layout_stairs.hui_col7_s > *:nth-child(7n - 0) { --col_level: 6; }
	.hui_col_layout_stairs.hui_col8_s { --col_depth: 7; }
	.hui_col_layout_stairs.hui_col8_s > *:nth-child(8n - 7) { --col_level: 0; }
	.hui_col_layout_stairs.hui_col8_s > *:nth-child(8n - 6) { --col_level: 1; }
	.hui_col_layout_stairs.hui_col8_s > *:nth-child(8n - 5) { --col_level: 2; }
	.hui_col_layout_stairs.hui_col8_s > *:nth-child(8n - 4) { --col_level: 3; }
	.hui_col_layout_stairs.hui_col8_s > *:nth-child(8n - 3) { --col_level: 4; }
	.hui_col_layout_stairs.hui_col8_s > *:nth-child(8n - 2) { --col_level: 5; }
	.hui_col_layout_stairs.hui_col8_s > *:nth-child(8n - 1) { --col_level: 6; }
	.hui_col_layout_stairs.hui_col8_s > *:nth-child(8n - 0) { --col_level: 7; }
	/* ----- Wellen -----*/
	.hui_col_layout_wave.hui_col1_s { --col_depth: 0; }
	.hui_col_layout_wave.hui_col1_s > *:nth-child(1n - 2) { --col_level: 0; }
	.hui_col_layout_wave.hui_col2_s,
	.hui_col_layout_wave.hui_col3_s,
	.hui_col_layout_wave.hui_col4_s,
	.hui_col_layout_wave.hui_col5_s,
	.hui_col_layout_wave.hui_col6_s,
	.hui_col_layout_wave.hui_col7_s,
	.hui_col_layout_wave.hui_col8_s { --col_depth: 1; }
	.hui_col_layout_wave.hui_col2_s > *:nth-child(2n - 1),
	.hui_col_layout_wave.hui_col4_s > *:nth-child(2n - 1),
	.hui_col_layout_wave.hui_col6_s > *:nth-child(2n - 1),
	.hui_col_layout_wave.hui_col8_s > *:nth-child(2n - 1) { --col_level: 0; }
	.hui_col_layout_wave.hui_col2_s > *:nth-child(2n - 0),
	.hui_col_layout_wave.hui_col4_s > *:nth-child(2n - 0),
	.hui_col_layout_wave.hui_col6_s > *:nth-child(2n - 0),
	.hui_col_layout_wave.hui_col8_s > *:nth-child(2n - 0) { --col_level: 1; }
	.hui_col_layout_wave.hui_col3_s > *:nth-child(3n - 2) { --col_level: 0; }
	.hui_col_layout_wave.hui_col3_s > *:nth-child(3n - 1) { --col_level: 1; }
	.hui_col_layout_wave.hui_col3_s > *:nth-child(3n - 0) { --col_level: 0; }
	.hui_col_layout_wave.hui_col5_s > *:nth-child(5n - 4) { --col_level: 0; }
	.hui_col_layout_wave.hui_col5_s > *:nth-child(5n - 3) { --col_level: 1; }
	.hui_col_layout_wave.hui_col5_s > *:nth-child(5n - 2) { --col_level: 0; }
	.hui_col_layout_wave.hui_col5_s > *:nth-child(5n - 1) { --col_level: 1; }
	.hui_col_layout_wave.hui_col5_s > *:nth-child(5n - 0) { --col_level: 0; }
	.hui_col_layout_wave.hui_col7_s > *:nth-child(7n - 6) { --col_level: 0; }
	.hui_col_layout_wave.hui_col7_s > *:nth-child(7n - 5) { --col_level: 1; }
	.hui_col_layout_wave.hui_col7_s > *:nth-child(7n - 4) { --col_level: 0; }
	.hui_col_layout_wave.hui_col7_s > *:nth-child(7n - 3) { --col_level: 1; }
	.hui_col_layout_wave.hui_col7_s > *:nth-child(7n - 2) { --col_level: 0; }
	.hui_col_layout_wave.hui_col7_s > *:nth-child(7n - 1) { --col_level: 1; }
	.hui_col_layout_wave.hui_col7_s > *:nth-child(7n - 0) { --col_level: 0; }
	/* ----- Spitze -----*/
	.hui_col_layout_spike.hui_col1_s { --col_depth: 0; }
	.hui_col_layout_spike.hui_col1_s > *:nth-child(1n) { --col_level: 0; }
	.hui_col_layout_spike.hui_col2_s { --col_depth: 1; }
	.hui_col_layout_spike.hui_col2_s > *:nth-child(2n - 1) { --col_level: 0; }
	.hui_col_layout_spike.hui_col2_s > *:nth-child(2n - 0) { --col_level: 1; }
	.hui_col_layout_spike.hui_col3_s { --col_depth: 1; }
	.hui_col_layout_spike.hui_col3_s > *:nth-child(3n - 2) { --col_level: 0; }
	.hui_col_layout_spike.hui_col3_s > *:nth-child(3n - 1) { --col_level: 1; }
	.hui_col_layout_spike.hui_col3_s > *:nth-child(3n - 0) { --col_level: 0; }
	.hui_col_layout_spike.hui_col4_s { --col_depth: 2; }
	.hui_col_layout_spike.hui_col4_s > *:nth-child(4n - 3) { --col_level: 0; }
	.hui_col_layout_spike.hui_col4_s > *:nth-child(4n - 2) { --col_level: 1; }
	.hui_col_layout_spike.hui_col4_s > *:nth-child(4n - 1) { --col_level: 2; }
	.hui_col_layout_spike.hui_col4_s > *:nth-child(4n - 0) { --col_level: 1; }
	.hui_col_layout_spike.hui_col5_s { --col_depth: 2; }
	.hui_col_layout_spike.hui_col5_s > *:nth-child(5n - 4) { --col_level: 0; }
	.hui_col_layout_spike.hui_col5_s > *:nth-child(5n - 3) { --col_level: 1; }
	.hui_col_layout_spike.hui_col5_s > *:nth-child(5n - 2) { --col_level: 2; }
	.hui_col_layout_spike.hui_col5_s > *:nth-child(5n - 1) { --col_level: 1; }
	.hui_col_layout_spike.hui_col5_s > *:nth-child(5n - 0) { --col_level: 0; }
	.hui_col_layout_spike.hui_col6_s { --col_depth: 3; }
	.hui_col_layout_spike.hui_col6_s > *:nth-child(6n - 5) { --col_level: 0; }
	.hui_col_layout_spike.hui_col6_s > *:nth-child(6n - 4) { --col_level: 1; }
	.hui_col_layout_spike.hui_col6_s > *:nth-child(6n - 3) { --col_level: 2; }
	.hui_col_layout_spike.hui_col6_s > *:nth-child(6n - 2) { --col_level: 3; }
	.hui_col_layout_spike.hui_col6_s > *:nth-child(6n - 1) { --col_level: 2; }
	.hui_col_layout_spike.hui_col6_s > *:nth-child(6n - 0) { --col_level: 1; }
	.hui_col_layout_spike.hui_col7_s { --col_depth: 3; }
	.hui_col_layout_spike.hui_col7_s > *:nth-child(7n - 6) { --col_level: 0; }
	.hui_col_layout_spike.hui_col7_s > *:nth-child(7n - 5) { --col_level: 1; }
	.hui_col_layout_spike.hui_col7_s > *:nth-child(7n - 4) { --col_level: 2; }
	.hui_col_layout_spike.hui_col7_s > *:nth-child(7n - 3) { --col_level: 3; }
	.hui_col_layout_spike.hui_col7_s > *:nth-child(7n - 2) { --col_level: 2; }
	.hui_col_layout_spike.hui_col7_s > *:nth-child(7n - 1) { --col_level: 1; }
	.hui_col_layout_spike.hui_col7_s > *:nth-child(7n - 0) { --col_level: 0; }
	.hui_col_layout_spike.hui_col8_s { --col_depth: 4; }
	.hui_col_layout_spike.hui_col8_s > *:nth-child(8n - 7) { --col_level: 0; }
	.hui_col_layout_spike.hui_col8_s > *:nth-child(8n - 6) { --col_level: 1; }
	.hui_col_layout_spike.hui_col8_s > *:nth-child(8n - 5) { --col_level: 2; }
	.hui_col_layout_spike.hui_col8_s > *:nth-child(8n - 4) { --col_level: 3; }
	.hui_col_layout_spike.hui_col8_s > *:nth-child(8n - 3) { --col_level: 4; }
	.hui_col_layout_spike.hui_col8_s > *:nth-child(8n - 2) { --col_level: 3; }
	.hui_col_layout_spike.hui_col8_s > *:nth-child(8n - 1) { --col_level: 2; }
	.hui_col_layout_spike.hui_col8_s > *:nth-child(8n - 0) { --col_level: 1; }
}